Bug 321764 - Nepomuk service stub crash
Summary: Nepomuk service stub crash
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: storage (show other bugs)
Version: 4.10.4
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Nepomuk Bugs Coordination
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-29 13:59 UTC by drakearonhalt
Modified: 2013-08-23 12:12 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description drakearonhalt 2013-06-29 13:59:04 UTC
Application: nepomukservicestub (0.1.0)
KDE Platform Version: 4.10.4
Qt Version: 4.8.4
Operating System: Linux 3.9.6-200.fc18.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed: Logged into KDE, nepomuk crashed immediately. No applications had been manually started yet.

-- Backtrace:
Application: Nepomuk Service Stub (nepomukservicestub), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f5ecf22b880 (LWP 1918))]

Thread 10 (Thread 0x7f5ec2a44700 (LWP 2140)):
#0  0x000000399380e12d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000039930840df in read (__nbytes=16, __buf=0x7f5ec2a43ac0, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  g_wakeup_acknowledge (wakeup=0x7f5ebc001fb0) at gwakeup.c:212
#3  0x00000039930478b4 in g_main_context_check (context=context@entry=0x7f5eb40009a0, max_priority=2147483647, fds=fds@entry=0x7f5eb4003940, n_fds=n_fds@entry=1) at gmain.c:3129
#4  0x0000003993047cc2 in g_main_context_iterate (context=context@entry=0x7f5eb40009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3287
#5  0x0000003993047e44 in g_main_context_iteration (context=0x7f5eb40009a0, may_block=1) at gmain.c:3351
#6  0x000000320f9a5fa6 in QEventDispatcherGlib::processEvents (this=0x7f5eb40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x000000320f9765ef in QEventLoop::processEvents (this=this@entry=0x7f5ec2a43cb0, flags=...) at kernel/qeventloop.cpp:149
#8  0x000000320f976878 in QEventLoop::exec (this=0x7f5ec2a43cb0, flags=...) at kernel/qeventloop.cpp:204
#9  0x000000320f878980 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#10 0x00007f5ec491ad94 in Soprano::Server::ServerConnection::run (this=0x1c8aee0) at /usr/src/debug/soprano-2.9.2/server/serverconnection.cpp:153
#11 0x000000320f87b95c in QThreadPrivate::start (arg=0x1c8aee0) at thread/qthread_unix.cpp:338
#12 0x0000003993807d15 in start_thread (arg=0x7f5ec2a44700) at pthread_create.c:308
#13 0x00000039934f248d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 9 (Thread 0x7f5ec2243700 (LWP 2141)):
#0  0x00000039934e99ad in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003993047d24 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f5eb8003880, timeout=-1, context=0x7f5eb80009a0) at gmain.c:3584
#2  g_main_context_iterate (context=context@entry=0x7f5eb80009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3285
#3  0x0000003993047e44 in g_main_context_iteration (context=0x7f5eb80009a0, may_block=1) at gmain.c:3351
#4  0x000000320f9a5fa6 in QEventDispatcherGlib::processEvents (this=0x7f5eb80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x000000320f9765ef in QEventLoop::processEvents (this=this@entry=0x7f5ec2242cb0, flags=...) at kernel/qeventloop.cpp:149
#6  0x000000320f976878 in QEventLoop::exec (this=0x7f5ec2242cb0, flags=...) at kernel/qeventloop.cpp:204
#7  0x000000320f878980 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#8  0x00007f5ec491ad94 in Soprano::Server::ServerConnection::run (this=0x1c794e0) at /usr/src/debug/soprano-2.9.2/server/serverconnection.cpp:153
#9  0x000000320f87b95c in QThreadPrivate::start (arg=0x1c794e0) at thread/qthread_unix.cpp:338
#10 0x0000003993807d15 in start_thread (arg=0x7f5ec2243700) at pthread_create.c:308
#11 0x00000039934f248d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 8 (Thread 0x7f5ec1a42700 (LWP 2142)):
#0  0x00000039934e99ad in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003993047d24 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f5eac0036d0, timeout=-1, context=0x7f5eac0009a0) at gmain.c:3584
#2  g_main_context_iterate (context=context@entry=0x7f5eac0009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3285
#3  0x0000003993047e44 in g_main_context_iteration (context=0x7f5eac0009a0, may_block=1) at gmain.c:3351
#4  0x000000320f9a5fa6 in QEventDispatcherGlib::processEvents (this=0x7f5eac0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x000000320f9765ef in QEventLoop::processEvents (this=this@entry=0x7f5ec1a41cb0, flags=...) at kernel/qeventloop.cpp:149
#6  0x000000320f976878 in QEventLoop::exec (this=0x7f5ec1a41cb0, flags=...) at kernel/qeventloop.cpp:204
#7  0x000000320f878980 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#8  0x00007f5ec491ad94 in Soprano::Server::ServerConnection::run (this=0x1cfa980) at /usr/src/debug/soprano-2.9.2/server/serverconnection.cpp:153
#9  0x000000320f87b95c in QThreadPrivate::start (arg=0x1cfa980) at thread/qthread_unix.cpp:338
#10 0x0000003993807d15 in start_thread (arg=0x7f5ec1a42700) at pthread_create.c:308
#11 0x00000039934f248d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 7 (Thread 0x7f5ec1241700 (LWP 2143)):
#0  0x00007fff199fe70c in ?? ()
#1  0x00007fff199feac9 in clock_gettime ()
#2  0x000000399400413d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:115
#3  0x000000320f8d18d4 in do_gettime (frac=0x7f5ec1240a08, sec=0x7f5ec1240a00) at tools/qelapsedtimer_unix.cpp:123
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#5  0x000000320f9a68ad in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f5eb0002660) at kernel/qeventdispatcher_unix.cpp:354
#6  0x000000320f9a6bf3 in QTimerInfoList::timerWait (this=0x7f5eb0002660, tm=...) at kernel/qeventdispatcher_unix.cpp:461
#7  0x000000320f9a565c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f5ec1240af4) at kernel/qeventdispatcher_glib.cpp:136
#8  0x000000320f9a5705 in timerSourcePrepare (source=<optimized out>, timeout=timeout@entry=0x7f5ec1240af4) at kernel/qeventdispatcher_glib.cpp:169
#9  0x00000039930475b8 in g_main_context_prepare (context=context@entry=0x7f5eb00009a0, priority=priority@entry=0x7f5ec1240b58) at gmain.c:2986
#10 0x0000003993047c4b in g_main_context_iterate (context=context@entry=0x7f5eb00009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3270
#11 0x0000003993047e44 in g_main_context_iteration (context=0x7f5eb00009a0, may_block=1) at gmain.c:3351
#12 0x000000320f9a5fa6 in QEventDispatcherGlib::processEvents (this=0x7f5eb00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#13 0x000000320f9765ef in QEventLoop::processEvents (this=this@entry=0x7f5ec1240cb0, flags=...) at kernel/qeventloop.cpp:149
#14 0x000000320f976878 in QEventLoop::exec (this=0x7f5ec1240cb0, flags=...) at kernel/qeventloop.cpp:204
#15 0x000000320f878980 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#16 0x00007f5ec491ad94 in Soprano::Server::ServerConnection::run (this=0x1fd5c50) at /usr/src/debug/soprano-2.9.2/server/serverconnection.cpp:153
#17 0x000000320f87b95c in QThreadPrivate::start (arg=0x1fd5c50) at thread/qthread_unix.cpp:338
#18 0x0000003993807d15 in start_thread (arg=0x7f5ec1241700) at pthread_create.c:308
#19 0x00000039934f248d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 6 (Thread 0x7f5ec0a40700 (LWP 2149)):
#0  0x0000003993084d9c in g_mutex_lock (mutex=mutex@entry=0x7f5ea40009a0) at gthread-posix.c:210
#1  0x00000039930475c3 in g_main_context_prepare (context=context@entry=0x7f5ea40009a0, priority=priority@entry=0x7f5ec0a3fb58) at gmain.c:2988
#2  0x0000003993047c4b in g_main_context_iterate (context=context@entry=0x7f5ea40009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3270
#3  0x0000003993047e44 in g_main_context_iteration (context=0x7f5ea40009a0, may_block=1) at gmain.c:3351
#4  0x000000320f9a5fa6 in QEventDispatcherGlib::processEvents (this=0x7f5ea40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x000000320f9765ef in QEventLoop::processEvents (this=this@entry=0x7f5ec0a3fcb0, flags=...) at kernel/qeventloop.cpp:149
#6  0x000000320f976878 in QEventLoop::exec (this=0x7f5ec0a3fcb0, flags=...) at kernel/qeventloop.cpp:204
#7  0x000000320f878980 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#8  0x00007f5ec491ad94 in Soprano::Server::ServerConnection::run (this=0x1fead10) at /usr/src/debug/soprano-2.9.2/server/serverconnection.cpp:153
#9  0x000000320f87b95c in QThreadPrivate::start (arg=0x1fead10) at thread/qthread_unix.cpp:338
#10 0x0000003993807d15 in start_thread (arg=0x7f5ec0a40700) at pthread_create.c:308
#11 0x00000039934f248d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 5 (Thread 0x7f5eabfff700 (LWP 2151)):
#0  0x000000399380aacf in __pthread_mutex_unlock_usercnt (mutex=0x7f5ea0000a60, decr=decr@entry=1) at pthread_mutex_unlock.c:52
#1  0x000000399380ab2a in __GI___pthread_mutex_unlock (mutex=<optimized out>) at pthread_mutex_unlock.c:297
#2  0x0000003993084dd1 in g_mutex_unlock (mutex=mutex@entry=0x7f5ea00009a0) at gthread-posix.c:229
#3  0x0000003993047c3e in g_main_context_iterate (context=context@entry=0x7f5ea00009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3268
#4  0x0000003993047e44 in g_main_context_iteration (context=0x7f5ea00009a0, may_block=1) at gmain.c:3351
#5  0x000000320f9a5fa6 in QEventDispatcherGlib::processEvents (this=0x7f5ea00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x000000320f9765ef in QEventLoop::processEvents (this=this@entry=0x7f5eabffecb0, flags=...) at kernel/qeventloop.cpp:149
#7  0x000000320f976878 in QEventLoop::exec (this=0x7f5eabffecb0, flags=...) at kernel/qeventloop.cpp:204
#8  0x000000320f878980 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#9  0x00007f5ec491ad94 in Soprano::Server::ServerConnection::run (this=0x1fea970) at /usr/src/debug/soprano-2.9.2/server/serverconnection.cpp:153
#10 0x000000320f87b95c in QThreadPrivate::start (arg=0x1fea970) at thread/qthread_unix.cpp:338
#11 0x0000003993807d15 in start_thread (arg=0x7f5eabfff700) at pthread_create.c:308
#12 0x00000039934f248d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 4 (Thread 0x7f5eab7fe700 (LWP 2155)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x000000320f87bebb in wait (time=18446744073709551615, this=0x1cd5990) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1cd4048, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x000000320f86f69f in QThreadPoolThread::run (this=0x1fec7f0) at concurrent/qthreadpool.cpp:141
#4  0x000000320f87b95c in QThreadPrivate::start (arg=0x1fec7f0) at thread/qthread_unix.cpp:338
#5  0x0000003993807d15 in start_thread (arg=0x7f5eab7fe700) at pthread_create.c:308
#6  0x00000039934f248d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 3 (Thread 0x7f5eaaffd700 (LWP 2156)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x000000320f87bebb in wait (time=18446744073709551615, this=0x1cd5990) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1cd4048, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x000000320f86f69f in QThreadPoolThread::run (this=0x1fec2b0) at concurrent/qthreadpool.cpp:141
#4  0x000000320f87b95c in QThreadPrivate::start (arg=0x1fec2b0) at thread/qthread_unix.cpp:338
#5  0x0000003993807d15 in start_thread (arg=0x7f5eaaffd700) at pthread_create.c:308
#6  0x00000039934f248d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 2 (Thread 0x7f5eaa619700 (LWP 2305)):
#0  0x0000003993084b4f in g_mutex_get_impl (mutex=<optimized out>) at gthread-posix.c:132
#1  0x0000003993084d99 in g_mutex_lock (mutex=mutex@entry=0x7f5e90006a90) at gthread-posix.c:210
#2  0x0000003993047cdd in g_main_context_iterate (context=context@entry=0x7f5e90006a90, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3294
#3  0x0000003993047e44 in g_main_context_iteration (context=0x7f5e90006a90, may_block=1) at gmain.c:3351
#4  0x000000320f9a5fa6 in QEventDispatcherGlib::processEvents (this=0x7f5e90003de0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x000000320f9765ef in QEventLoop::processEvents (this=this@entry=0x7f5eaa618cb0, flags=...) at kernel/qeventloop.cpp:149
#6  0x000000320f976878 in QEventLoop::exec (this=0x7f5eaa618cb0, flags=...) at kernel/qeventloop.cpp:204
#7  0x000000320f878980 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#8  0x00007f5ec491ad94 in Soprano::Server::ServerConnection::run (this=0x1feab30) at /usr/src/debug/soprano-2.9.2/server/serverconnection.cpp:153
#9  0x000000320f87b95c in QThreadPrivate::start (arg=0x1feab30) at thread/qthread_unix.cpp:338
#10 0x0000003993807d15 in start_thread (arg=0x7f5eaa619700) at pthread_create.c:308
#11 0x00000039934f248d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 1 (Thread 0x7f5ecf22b880 (LWP 1918)):
[KCrash Handler]
#6  0x0000003993435ba5 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
#7  0x0000003993437358 in __GI_abort () at abort.c:90
#8  0x000000399347559b in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x3993579ba8 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:197
#9  0x000000399347b776 in malloc_printerr (action=3, str=0x3993579d30 "malloc(): memory corruption (fast)", ptr=<optimized out>) at malloc.c:4969
#10 0x000000399347e107 in _int_malloc (av=0x39937b1740 <main_arena>, bytes=<optimized out>) at malloc.c:3359
#11 0x000000399347f443 in __GI___libc_malloc (bytes=62) at malloc.c:2862
#12 0x000000320f8c07c5 in QString::QString (this=0x7fff198d2f40, size=15) at tools/qstring.cpp:1141
#13 0x000000320f9aee21 in QUtf8::convertToUnicode (chars=<optimized out>, len=<optimized out>, state=0x0) at codecs/qutfcodec.cpp:183
#14 0x000000320f8c2b5b in QString::fromUtf8 (str=<optimized out>, size=<optimized out>) at tools/qstring.cpp:4020
#15 0x00000033ff82f268 in QDBusMessagePrivate::fromDBusMessage (dmsg=0x1cecbd0, capabilities=...) at qdbusmessage.cpp:237
#16 0x00000033ff827f06 in qDBusSignalFilter (connection=<optimized out>, message=<optimized out>, data=0x1b5dad0) at qdbusintegrator.cpp:549
#17 0x00000033ff40fbce in dbus_connection_dispatch (connection=0x1b694f0) at dbus-connection.c:4631
#18 0x00000033ff81bad9 in q_dbus_connection_dispatch (connection=<optimized out>) at qdbus_symbols_p.h:115
#19 QDBusConnectionPrivate::doDispatch (this=0x1b5dad0) at qdbusintegrator.cpp:1133
#20 0x00000033ff81fbf5 in QDBusConnectionPrivate::socketRead (this=0x1b5dad0, fd=7) at qdbusintegrator.cpp:1153
#21 0x000000320f98cd6f in QMetaObject::activate (sender=0x1b6c520, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff198d32f0) at kernel/qobject.cpp:3539
#22 0x000000320f9d7b0e in QSocketNotifier::activated (this=<optimized out>, _t1=7) at .moc/release-shared/moc_qsocketnotifier.cpp:102
#23 0x000000320f99474b in QSocketNotifier::event (this=0x1b6c520, e=0x7fff198d3910) at kernel/qsocketnotifier.cpp:317
#24 0x0000003a8f7ca5cc in QApplicationPrivate::notify_helper (this=this@entry=0x1ab6890, receiver=receiver@entry=0x1b6c520, e=e@entry=0x7fff198d3910) at kernel/qapplication.cpp:4562
#25 0x0000003a8f7cea4a in QApplication::notify (this=0x7fff198d3d70, receiver=0x1b6c520, e=0x7fff198d3910) at kernel/qapplication.cpp:4423
#26 0x0000003400846f16 in KApplication::notify (this=0x7fff198d3d70, receiver=0x1b6c520, event=0x7fff198d3910) at /usr/src/debug/kdelibs-4.10.4/kdeui/kernel/kapplication.cpp:311
#27 0x000000320f97793e in QCoreApplication::notifyInternal (this=0x7fff198d3d70, receiver=0x1b6c520, event=0x7fff198d3910) at kernel/qcoreapplication.cpp:949
#28 0x000000320f9a5788 in sendEvent (event=0x7fff198d3910, receiver=<optimized out>) at kernel/qcoreapplication.h:231
#29 socketNotifierSourceDispatch (source=source@entry=0x1ab3700) at kernel/qeventdispatcher_glib.cpp:110
#30 0x0000003993047a55 in g_main_dispatch (context=0x1abddc0) at gmain.c:2715
#31 g_main_context_dispatch (context=context@entry=0x1abddc0) at gmain.c:3219
#32 0x0000003993047d88 in g_main_context_iterate (context=context@entry=0x1abddc0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3290
#33 0x0000003993047e44 in g_main_context_iteration (context=0x1abddc0, may_block=1) at gmain.c:3351
#34 0x000000320f9a5f86 in QEventDispatcherGlib::processEvents (this=0x1a92c40, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#35 0x0000003a8f86a73e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#36 0x000000320f9765ef in QEventLoop::processEvents (this=this@entry=0x7fff198d3b50, flags=...) at kernel/qeventloop.cpp:149
#37 0x000000320f976878 in QEventLoop::exec (this=0x7fff198d3b50, flags=...) at kernel/qeventloop.cpp:204
#38 0x000000320f97b708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#39 0x0000000000403ed0 in main (argc=<optimized out>, argv=0x7fff198d3fb8) at /usr/src/debug/nepomuk-core-4.10.4/servicestub/main.cpp:180

This bug may be a duplicate of or related to bug 312760.

Possible duplicates by query: bug 321465, bug 320526, bug 320411, bug 320128, bug 317047.

Reported using DrKonqi
Comment 1 Vishesh Handa 2013-08-23 12:12:57 UTC
Git commit 5175f919051e575e4d5d415996287018560157aa by Vishesh Handa.
Committed on 11/08/2013 at 07:12.
Pushed by vhanda into branch 'KDE/4.11'.

Use KDBusConnectionPool instead of QDBusConnection

QDBusConnection cannot be used across multiple threads
Related: bug 315078, bug 319165

REVIEW: 112011

M  +2    -2    services/storage/backup/backupmanager.cpp
M  +5    -4    services/storage/datamanagementcommand.cpp
M  +5    -4    services/storage/ontologyloader.cpp
M  +4    -3    services/storage/query/folderconnection.cpp
M  +6    -3    services/storage/query/queryservice.cpp
M  +2    -1    services/storage/repository.cpp
M  +5    -3    services/storage/resourcewatcherconnection.cpp
M  +5    -3    services/storage/resourcewatchermanager.cpp
M  +3    -2    services/storage/storage.cpp

http://commits.kde.org/nepomuk-core/5175f919051e575e4d5d415996287018560157aa